# Xapian::ValueRangeProcessor Struct Reference

Base class for value range processors. More...

Inheritance diagram for Xapian::ValueRangeProcessor:

[legend]

List of all members.

## Public Member Functions
virtual | ~ValueRangeProcessor ()
| Destructor.
virtual Xapian::valueno | operator() (std::string &begin, std::string &end)=0
| Check for a valid range of this type.

## Detailed Description

Base class for value range processors.

## Member Function Documentation

virtual Xapian::valueno Xapian::ValueRangeProcessor::operator() | ( | std::string & | begin,
|  | std::string & | end |
| ) |  |  | `[pure virtual]`

Check for a valid range of this type.

Parameters:

  `[in,out]` | begin | The start of the range as specified in the query string by the user. This parameter is a non-const reference so the ValueRangeProcessor can modify it to return the value to start the range with.
  `[in,out]` | end | The end of the range. This is also a non-const reference so it can be modified.

Returns:
  If this ValueRangeProcessor recognises the range BEGIN..END it returns the value slot number to range filter on. Otherwise it returns Xapian::BAD_VALUENO.

Implemented in Xapian::StringValueRangeProcessor, Xapian::DateValueRangeProcessor, and Xapian::NumberValueRangeProcessor.

The documentation for this struct was generated from the following file:

- xapian/queryparser.h